> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.tamtam.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search for lookalike companies

> Find companies similar to the provided input companies. Supports filtering by country, industry, size, and more.



## OpenAPI

````yaml /reference/openapi.yaml post /v2/multi-search-lookalikes
openapi: 3.1.0
info:
  title: Tamtam Public API
  version: 2.0.0
servers:
  - url: https://api.tamtam.ai/api
security: []
paths:
  /v2/multi-search-lookalikes:
    post:
      tags:
        - Lookalikes
      summary: Search for lookalike companies
      description: >-
        Find companies similar to the provided input companies. Supports
        filtering by country, industry, size, and more.
      operationId: multi-search-lookalikes
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MultiSearchLookalikesQueryParamsV2Dto'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchLookalikesV2Dto'
          description: OK
        default:
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Error
      security:
        - apikeyAuth: []
        - bearerAuth: []
components:
  schemas:
    MultiSearchLookalikesQueryParamsV2Dto:
      additionalProperties: false
      properties:
        employees_on_linkedin_max:
          description: Max number of employees on LinkedIn
          examples:
            - 50
          format: int64
          type: integer
        employees_on_linkedin_min:
          description: Min number of employees on LinkedIn
          examples:
            - 10
          format: int64
          type: integer
        founded_max:
          description: Companies founded before year N
          examples:
            - 2025
          format: int64
          type: integer
        founded_min:
          description: Companies founded after year N
          examples:
            - 2022
          format: int64
          type: integer
        hq_countries:
          description: 2 letter country codes e.g. ["FR", "DE"]
          examples:
            - - FR
          items:
            type: string
          type:
            - array
            - 'null'
        industries:
          description: LinkedIn Industry filters e.g. ["Software Development"]
          examples:
            - - Software Development
          items:
            type: string
          type:
            - array
            - 'null'
        input_companies:
          description: List of companies to find lookalikes for
          items:
            $ref: '#/components/schemas/InputCompanyV2Dto'
          type:
            - array
            - 'null'
        paging:
          $ref: '#/components/schemas/PagingV2Dto'
          description: Paging parameters
        queries:
          description: Full text queries about activities
          examples:
            - - AI sales agents
          items:
            type: string
          type:
            - array
            - 'null'
        sizes:
          description: Company size filters e.g. ["11-50", "51-200"]
          examples:
            - - 11-50
          items:
            type: string
          type:
            - array
            - 'null'
      type: object
    SearchLookalikesV2Dto:
      additionalProperties: false
      properties:
        credits:
          $ref: '#/components/schemas/CreditsV2Dto'
          description: Credits usage information
        lookalikes:
          description: List of lookalike companies found
          items:
            $ref: '#/components/schemas/SearchLookalikeV2Dto'
          type:
            - array
            - 'null'
        matched_inputs:
          description: Input companies matched to our database
          items:
            $ref: '#/components/schemas/MatchedInput'
          type:
            - array
            - 'null'
        paging:
          $ref: '#/components/schemas/PagingV2Dto'
          description: Paging information
      required:
        - matched_inputs
        - lookalikes
        - paging
        - credits
      type: object
    ErrorModel:
      additionalProperties: false
      properties:
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
      type: object
    InputCompanyV2Dto:
      additionalProperties: false
      properties:
        domain:
          description: Company domain
          examples:
            - tamtam.ai
          type: string
        linkedin_id:
          description: LinkedIn company ID
          examples:
            - '104924588'
          type: string
        linkedin_slug:
          description: LinkedIn handle in URL
          examples:
            - tamtam-ai
          type: string
        name:
          description: Company name
          examples:
            - TAMTAM
          type: string
      type: object
    PagingV2Dto:
      additionalProperties: false
      properties:
        limit:
          description: Maximum number of results to return
          examples:
            - 10
          format: int64
          type: integer
        total:
          description: Total number of results
          examples:
            - 10
          format: int64
          type: integer
      type: object
    CreditsV2Dto:
      additionalProperties: false
      properties:
        credits_left:
          description: Remaining credits on the account
          examples:
            - 4990
          format: int64
          type: integer
        credits_used:
          description: Number of credits used for this request
          examples:
            - 10
          format: int64
          type: integer
      required:
        - credits_used
        - credits_left
      type: object
    SearchLookalikeV2Dto:
      additionalProperties: false
      properties:
        linkedin_company:
          $ref: '#/components/schemas/LinkedinCompanyV2Dto'
          description: LinkedIn company details
        score:
          description: Similarity score
          examples:
            - 87
          format: int64
          type: integer
      type: object
    MatchedInput:
      additionalProperties: false
      properties:
        confidence:
          description: Confidence score of the match
          examples:
            - 0.98
          format: double
          type: number
        input_company:
          $ref: '#/components/schemas/InputCompanyV2Dto'
          description: The input company provided
        matched_company:
          $ref: '#/components/schemas/MatchedCompany'
          description: The matched company found in our database
      required:
        - input_company
        - matched_company
        - confidence
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
    LinkedinCompanyV2Dto:
      additionalProperties: false
      properties:
        company_address:
          description: Company address
          examples:
            - Paris, France
          type: string
        company_size:
          description: Company size range
          examples:
            - 11-50
          type: string
        countries:
          description: Countries the company operates in
          examples:
            - - FR
          items:
            type: string
          type:
            - array
            - 'null'
        description:
          description: Company description
          examples:
            - AI Agents boosting every step of your Sales Cycle
          type: string
        domain:
          description: Company domain
          examples:
            - tamtam.ai
          type: string
        employees_on_linkedin:
          description: Number of employees on LinkedIn
          examples:
            - 20
          format: int64
          type: integer
        founded:
          description: Year the company was founded
          examples:
            - 2024
          format: int64
          type: integer
        headquarters:
          description: Company headquarters location
          examples:
            - Paris, France
          type: string
        hq_country:
          description: Headquarters country code
          examples:
            - FR
          type: string
        hq_state:
          description: Headquarters state
          examples:
            - Île-de-France
          type: string
        industry:
          description: Company industry
          examples:
            - Software Development
          type: string
        linkedin_id:
          description: LinkedIn company ID
          examples:
            - '104924588'
          type: string
        linkedin_url:
          description: LinkedIn company URL
          examples:
            - https://www.linkedin.com/company/tamtam-ai
          type: string
        logo_url:
          description: Company logo URL
          examples:
            - https://media.licdn.com/dms/image/tamtam.png
          type: string
        name:
          description: Company name
          examples:
            - TAMTAM
          type: string
        organization_type:
          description: Organization type
          examples:
            - Privately Held
          type: string
        slug:
          description: LinkedIn slug
          examples:
            - tamtam-ai
          type: string
        website:
          description: Company website URL
          examples:
            - https://www.tamtam.ai
          type: string
      type: object
    MatchedCompany:
      additionalProperties: false
      properties:
        domain:
          description: Company domain
          examples:
            - tamtam.ai
          type: string
        employees_on_linkedin:
          description: Number of employees on LinkedIn
          examples:
            - 20
          format: int64
          type: integer
        linkedin_id:
          description: LinkedIn company ID
          examples:
            - '104924588'
          type: string
        linkedin_slug:
          description: LinkedIn handle in URL
          examples:
            - tamtam-ai
          type: string
        name:
          description: Company name
          examples:
            - TAMTAM
          type: string
      required:
        - domain
        - employees_on_linkedin
        - linkedin_id
        - linkedin_slug
        - name
      type: object
  securitySchemes:
    apikeyAuth:
      description: Account API key passed in the Authorization header
      in: header
      name: Authorization
      type: apiKey
    bearerAuth:
      description: Bearer JWT obtained via the OAuth 2.1 authorization flow
      scheme: bearer
      type: http

````